For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • POSTCopy file
      • POSTCreate file
      • POSTCreate file (local upload)
      • POSTCreate file (remote upload)
      • DELDelete file
      • POSTImport file
      • GETList files
      • PATCHMove file
      • GETShow file
      • GETShow file upload status
      • PATCHUpdate file

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceFiles

Show file

GET
https://api.frame.io/v4/accounts/:account_id/files/:file_id
GET
/v4/accounts/:account_id/files/:file_id
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.files.show(
8 account_id="1c762dba-d767-48b5-8ef4-445018a6b933",
9 file_id="6ea6d0bb-65cd-4b73-b3d0-84efac5c3625",
10 include="media_links.original",
11)
1{
2 "data": {
3 "created_at": "2023-09-25T19:18:29.614189Z",
4 "file_size": 1137444,
5 "id": "b3bbca67-8df1-4fd4-8869-5a1192831d55",
6 "media_type": "image/png",
7 "name": "asset.png",
8 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
9 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
10 "status": "created",
11 "type": "file",
12 "updated_at": "2024-02-07T16:44:41.986478Z",
13 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
14 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
15 "adobe_version_id": "2",
16 "creator": {
17 "active": true,
18 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
19 "email": "user_email@example.com",
20 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
21 "name": "Jon Doe"
22 },
23 "media_links": {
24 "high_quality": {
25 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN"
26 },
27 "original": {
28 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
29 "inline_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=inline%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragSDFXDFh&1Key-Pair-Id=KKI497NESTHMN"
30 },
31 "thumbnail": {
32 "download_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
33 "url": "https://picture2.frame.io/image/s3://frameio-assets-development/image/cd58cb8e-24b3-4498-8d0f-9532fcd04d11/image_full.png?alg=HS256&sig=0_u7w_wz2MwQHOXp000ibbQSMRijujyaUu8V3YYPxu4&exp=1729857600"
34 }
35 },
36 "metadata": [
37 {
38 "field_type": "select",
39 "field_definition_id": "a4ba58de-701d-4b9e-b876-83416e9eec2f",
40 "field_definition_name": "Fields definition name",
41 "mutable": true,
42 "value": [
43 {
44 "display_name": "Display name",
45 "id": "b5f0426a-9c34-494d-a129-4bbb7760947b"
46 }
47 ],
48 "field_options": [
49 {
50 "display_name": "Display name",
51 "id": "b5f0426a-9c34-494d-a129-4bbb7760947b"
52 },
53 {
54 "display_name": "Display name 2",
55 "id": "9a686480-d75e-4065-bccc-9a7de1e4a3e0"
56 }
57 ]
58 }
59 ],
60 "project": {
61 "created_at": "2024-01-25T19:18:29.614189Z",
62 "id": "fc166901-1b13-49d7-b9c0-c35741e898d3",
63 "name": "My Project",
64 "root_folder_id": "c49b3469-7424-4837-a755-daa5f9adc83d",
65 "status": "active",
66 "storage": 15000,
67 "updated_at": "2024-02-07T16:44:41.986478Z",
68 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
69 "workspace_id": "33798d82-c243-4b4a-a609-5b5b0226923a",
70 "description": "Project Description",
71 "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3",
72 "restricted": false,
73 "owner": {
74 "active": true,
75 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
76 "email": "user_email@example.com",
77 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
78 "name": "Jon Doe"
79 }
80 }
81 }
82}
Show file details. <br/> Use the `include` query parameter to selectively include additional properties in the response. <br/> Note: if you include `media_links.original` and the user does not have permission to download the file then this endpoint will respond with a `403 Forbidden` error. If the content is inaccessible because watermarking is required for this user and isn't supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including `media_links.video_h264_180` on a static image file) or transoding process hasn't completed (i.e. the file's `status` is "uploaded" rather than "transcoded"), then the link will also be set to null in the response payload. In short, the client must handle null media links gracefully. <br/>Rate Limits: 10 calls per 1 second(s) per account_user
このページは役に立ちましたか?
前へ

Show file upload status

次へ

Show file details.


Use the include query parameter to selectively include additional properties in the response.


Note: if you include media_links.original and the user does not have permission to download the file then this endpoint will respond with a 403 Forbidden error. If the content is inaccessible because watermarking is required for this user and isn’t supported by the requested media_links, then the request will succeed but the unsupported media links will be set to null. Similarly, if a requested transcode link does not exist for a particular file (e.g. including media_links.video_h264_180 on a static image file) or transoding process hasn’t completed (i.e. the file’s status is “uploaded” rather than “transcoded”), then the link will also be set to null in the response payload. In short, the client must handle null media links gracefully.
Rate Limits: 10 calls per 1 second(s) per account_user

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
file_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

クエリパラメータ

includeenumオプション
Supported include query parameter values for endpoints that return files with media links

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
dataobject

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).